unit uWithTypeInfo;

{$WARN SYMBOL_PLATFORM OFF}

interface

uses
  Windows, ActiveX, Classes, ComObj, PWithTypeInfo_TLB, StdVcl;

type
  TWithTypeInfo = class(TTypedComObject, IWithTypeInfo)
  protected
    {Declare IWithTypeInfo methods here}
  end;

implementation

uses ComServ;

initialization
  TTypedComObjectFactory.Create(ComServer, TWithTypeInfo, Class_WithTypeInfo,
    ciMultiInstance, tmApartment);
end.
